### Enumeration

# Vips DemandStyle

#### Declaration

    enum Vips.DemandStyle

#### Description [src]

See `vips_image_pipelinev()`. Operations can hint the kind of demand geometry they prefer to the VIPS image IO system.

These demand styles are given below in order of increasing specialisation. When demanding output from a pipeline, `vips_image_generate()` will use the most general style requested by the operations in the pipeline.

`VIPS_DEMAND_STYLE_SMALLTILE` — This is the most general demand format. Output is demanded in small (around 100x100 pel) sections. This style works reasonably efficiently, even for bizarre operations like 45 degree rotate.

`VIPS_DEMAND_STYLE_FATSTRIP` — This operation would like to output strips the width of the image and as high as possible. This option is suitable for area operations which do not violently transform coordinates, such as `vips_conv()`.

`VIPS_DEMAND_STYLE_THINSTRIP` — This operation would like to output strips the width of the image and a few pels high. This option is suitable for point-to-point operations, such as those in the arithmetic package.

`VIPS_DEMAND_STYLE_ANY` — This image is not being demand-read from a disc file (even indirectly) so any demand style is OK. It’s used for things like `vips_black()` where the pixels are calculated.

See also

`vips_image_pipelinev()`.

#### Members

`VIPS_DEMAND_STYLE_ERROR`

  No description available.

  - Value: `-1`
  - Available since: 8.0
`VIPS_DEMAND_STYLE_SMALLTILE`

  Demand in small (typically 128x128 pixel) tiles.

  - Value: `0`
  - Available since: 8.0
`VIPS_DEMAND_STYLE_FATSTRIP`

  Demand in fat (typically 16 pixel high) strips.

  - Value: `1`
  - Available since: 8.0
`VIPS_DEMAND_STYLE_THINSTRIP`

  Demand in thin (typically 1 pixel high) strips.

  - Value: `2`
  - Available since: 8.0
`VIPS_DEMAND_STYLE_ANY`

  Demand geometry does not matter.

  - Value: `3`
  - Available since: 8.0